from pydantic import BaseModel

from camiskaze.domain.util import extract_work_order


class TogglProject(BaseModel):
    name: str

    @property
    def work_order(self) -> str:
        return extract_work_order(self.name)
