import re


_WORK_ORDER_PATTERN = r"[a-zA-Z\-]{3,}\d{,3}\.\d{3}"
_WORK_ORDER_RE = re.compile(_WORK_ORDER_PATTERN)


def extract_work_order(text: str) -> str:
    if search_result := _WORK_ORDER_RE.search(text):
        return search_result.group()
