from aiohttp import ClientSession

from camiskaze.domain.messages import RegisterTimeEntry

from . import CamisTimeEntryRepository


class CamisTimeSheetRepository:
    _time_entries: CamisTimeEntryRepository

    def __init__(self, session: ClientSession):
        self._time_entries = CamisTimeEntryRepository(session)

        self.seen = set()

    async def register(self, command: RegisterTimeEntry) -> None:
        await self._time_entries.register(command)
