def to_nearest_quarter(seconds: float) -> float:
    hours = to_hours(seconds)

    return _to_nearest_quarter(hours)


def to_hours(seconds: float) -> float:
    return seconds / 3600


def _to_nearest_quarter(hours: float) -> float:
    quarter = round(hours * 4) / 4

    return max(quarter, 0.25)
