from camiskaze.domain.messages.events import TimeEntryRegistered
from camiskaze.service_layer import UnitOfWork, MessageBus


async def update_progress(
    event: TimeEntryRegistered,
    unit_of_work: UnitOfWork,
    message_bus: MessageBus,
) -> None:
    unit_of_work.progress.update(event)


async def update_table(
    event: TimeEntryRegistered,
    unit_of_work: UnitOfWork,
    message_bus: MessageBus,
) -> None:
    unit_of_work.table.add(event)
