from camiskaze.domain.messages.events import TimesheetRegistered
from camiskaze.service_layer import UnitOfWork, MessageBus


async def log_timesheet_registered(
    event: TimesheetRegistered,
    unit_of_work: UnitOfWork,
    message_bus: MessageBus,
) -> None:
    unit_of_work.table.print(event)
